# VRML/Makefile
############################################################################

# use same configuration parameters as in parent directory
include ../../Config.common
include ../../Config.site

POOLSDIR = ../../POOLS
INCLUDIR = ../../include

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
CXXSOURCES =
SOURCES = $(CXXSOURCES) $(CSOURCES)
OBJECTS = ${CXXSOURCES:.C=.o} ${CSOURCES:.c=.o}

# compiler and linker parameters

THISDIRFLAGS = -I$(INCLUDIR) -I$(POOLSDIR) $(MKLIBFLAGS)

# generate source file dependencies
link_includes:
	-ln -sf `pwd`/*.[hH] $(INCLUDIR)

dependhere:

depend: dependhere

all: here

here: $(OBJECTS)

# make a clean source tree again
cleanhere: cleangen

clean: cleanhere

distclean: cleanhere

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
-include deps
